import { type SetStateAction } from 'react';

export const startSimulatedProgress = (
  setUploadProgress: (value: SetStateAction<number>) => void
) => {
  setUploadProgress(0);

  const interval = setInterval(() => {
    setUploadProgress((prevProgress) => {
      if (prevProgress >= 95) {
        clearInterval(interval);
        return prevProgress;
      } else {
        return prevProgress + 25;
      }
    });
  }, 500);

  return interval;
};
